Crystal Space: iSndSysSoftwareDriver Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSoftwareDriver Struct Reference
[Sound system]

This is the interface for the low-level, system-dependent sound driver that is used by the software sound renderer. More...

`#include <isndsys/ss_driver.h>`

Inheritance diagram for iSndSysSoftwareDriver:

[legend]
List of all members.

## Public Member Functions
virtual void | Close ()=0
| Close the sound driver.
virtual bool | Open (csSndSysRendererSoftware *renderer, csSndSysSoundFormat *requested_format)=0
| Initialize the sound driver.
| SCF_INTERFACE (iSndSysSoftwareDriver, 0, 2, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.
virtual bool | StartThread ()=0
| This function is called to start the driver thread.
virtual void | StopThread ()=0
| Stop the background thread.

## Detailed Description

This is the interface for the low-level, system-dependent sound driver that is used by the software sound renderer.

The sound driver is responsible for playing a single stream of samples.

Definition at line 46 of file ss_driver.h.

## Member Function Documentation

virtual void iSndSysSoftwareDriver::Close | ( |  | ) | `[pure virtual]`

Close the sound driver.

virtual bool iSndSysSoftwareDriver::Open | ( | csSndSysRendererSoftware * | renderer,
|  | csSndSysSoundFormat * | requested_format |
| ) |  |  | `[pure virtual]`

Initialize the sound driver.

The requested_format parameter may be modified during this function.

iSndSysSoftwareDriver::SCF_INTERFACE | ( | iSndSysSoftwareDriver | ,
|  | 0 | ,
|  | 2 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

virtual bool iSndSysSoftwareDriver::StartThread | ( |  | ) | `[pure virtual]`

This function is called to start the driver thread.

virtual void iSndSysSoftwareDriver::StopThread | ( |  | ) | `[pure virtual]`

Stop the background thread.

The documentation for this struct was generated from the following file:

- isndsys/ss_driver.h